<?php
/**
 * TOP API: alibaba.alihealth.synergy.yzw.drugreport.get request
 * 
 * @author auto create
 * @since 1.0, 2025.02.18
 */
class AlibabaAlihealthSynergyYzwDrugreportGetRequest
{
	/** 
	 * 报告上传企业refENtId
	 **/
	private $refEntId;
	
	/** 
	 * 报告id
	 **/
	private $reportId;
	
	private $apiParas = array();
	
	public function setRefEntId($refEntId)
	{
		$this->refEntId = $refEntId;
		$this->apiParas["ref_ent_id"] = $refEntId;
	}

	public function getRefEntId()
	{
		return $this->refEntId;
	}

	public function setReportId($reportId)
	{
		$this->reportId = $reportId;
		$this->apiParas["report_id"] = $reportId;
	}

	public function getReportId()
	{
		return $this->reportId;
	}

	public function getApiMethodName()
	{
		return "alibaba.alihealth.synergy.yzw.drugreport.get";
	}
	
	public function getApiParas()
	{
		return $this->apiParas;
	}
	
	public function check()
	{
		
		RequestCheckUtil::checkNotNull($this->refEntId,"refEntId");
		RequestCheckUtil::checkNotNull($this->reportId,"reportId");
	}
	
	public function putOtherTextParam($key, $value) {
		$this->apiParas[$key] = $value;
		$this->$key = $value;
	}
}
